%define name	clusterit
%define	version 2.2
%define release	1mdk

Summary:	Clusterit is a collection of clustering tools
Name:		%{name}
Version:	%{version}
Release:	%{release}
License:	BSD
Group:		Networking/Remote access
URL:		http://www.garbled.net/clusterit.html
Source:		%{name}-%{version}.tar.bz2
Source1:	dshbak.sh
Patch1:		Makefile.patch.bz2
Requires:	openssh-clients, rsh, gawk
Provides:	%{name}-%{version}
Packager:       Antoine Ginies <aginies@mandrakesoft.com>
BuildRoot:	%{_tmppath}/%{name}-%{version}
Prefix:		%{_prefix}

%description
This is a collection of clustering tools, to turn your ordinary 
everyday pile of UNIX workstations into a speedy parallel beast.
dsh : run a command on a cluster of machines.  dshbak : format the 
output of dsh. barrier, barrierd : synchronize a process on a number 
of machines. jsd : simple command scheduling daemon for remote execution. 
jsh : run scheduled commands on remote machines. run : run a command 
on a machine at random. seq : run a command on a cluster in sequence. 
pcp : copy a file to a cluster of machines. pdf : display free disk space
across a group of machines. prm : delete a file or files on a cluster 
of machines. rvt : a specialized VT100 emulator for the X window system. 
dvt : clustersed quickly dissect cluster files.

%prep
rm -rf ${buildroot}
%setup -q
%patch1 -p0

%build
install -m644 %{SOURCE1} $RPM_BUILD_DIR/%{name}-%{version}/tools/dshbak.sh
%make

%install
mkdir -p %{buildroot}%{_bindir}
mkdir -p %{buildroot}%{_prefix}/X11R6/bin
mkdir -p %{buildroot}%{_mandir}/man1
cd $RPM_BUILD_DIR/%{name}-%{version}
cp barrier/barrier %{buildroot}%{_bindir}/barrier
cp barrier/barrier.1 %{buildroot}%{_mandir}/man1/barrier.1
cp barrier/barrierd %{buildroot}%{_bindir}/barrierd
cp barrier/barrierd.1 %{buildroot}%{_mandir}/man1/barrierd.1
cp dsh/dsh %{buildroot}%{_bindir}/dsh
cp dsh/dsh.1 %{buildroot}%{_mandir}/man1/dsh.1
cp dsh/run %{buildroot}%{_bindir}/run
cp dsh/run.1 %{buildroot}%{_mandir}/man1/run.1
cp dsh/seq %{buildroot}%{_bindir}/cseq
cp dsh/seq.1 %{buildroot}%{_mandir}/man1/cseq.1
cp dvt/dvt %{buildroot}%{_prefix}/X11R6/bin/dvt
cp dvt/dvt.1 %{buildroot}%{_mandir}/man1/dvt.1
cp jsd/jsd %{buildroot}%{_bindir}/jsd
cp jsd/jsd.1 %{buildroot}%{_mandir}/man1/jsd.1
cp jsd/jsh %{buildroot}%{_bindir}/jsh
cp jsd/jsh.1 %{buildroot}%{_mandir}/man1/jsh.1
cp pcp/pcp %{buildroot}%{_bindir}/cpcp
cp pcp/pcp.1 %{buildroot}%{_mandir}/man1/cpcp.1
cp rvt/rvt %{buildroot}%{_prefix}/X11R6/bin/rvt
cp rvt/rvt.1 %{buildroot}%{_mandir}/man1/rvt.1
cp tools/clustersed %{buildroot}%{_bindir}/clustersed
cp tools/clustersed.1 %{buildroot}%{_mandir}/man1/clustersed.1
cp tools/pdf %{buildroot}%{_bindir}/pdf
cp tools/pdf.1 %{buildroot}%{_mandir}/man1/pdf.1
cp tools/prm %{buildroot}%{_bindir}/prm
cp tools/prm.1 %{buildroot}%{_mandir}/man1/prm.1
perl -pi -e "s|@@@AWK@@@|/usr/bin/awk|" $RPM_BUILD_DIR/%{name}-%{version}/tools/dshbak
cp tools/dshbak %{buildroot}%{_bindir}/dshbak
cp tools/dshbak.1 %{buildroot}%{_mandir}/man1/dshbak.1

%clean
rm -fr %{buildroot}

%files
%defattr(-,root,root) 
%doc INSTALL CHANGES README html/*.html html/man/*.html
%{_mandir}/man1/*
%{_bindir}/*
%{_prefix}/X11R6/bin/*

%changelog
* Wed May 19 2004 Antoine Ginies <aginies@n2.mandrakesoft.com> 2.2-1mdk
- release 2.2
* Fri Jan 03 2003 Antoine Ginies <aginies@mandrakesoft.com> 2.0-6mdk
- build for new glibc 
* Tue Aug 6 2002 Antoine Ginies <aginies@mandrakesoft.com> 2.0-5mdk
- build with gcc 3.2
* Thu Jul 11 2002 Antoine Ginies <aginies@mandrakesoft.com> 2.0-4mdk
- Build on 8.2 with 2.96
* Wed Jul 03 2002 Lenny Cartier <lenny@mandrakesoft.com> 2.0-3mdk
- fix ~rpm/... pb
* Fri May 17 2002 Antoine Ginies <aginies@mandrakesoft.com> 2.0-2mdk 
- solve conflict problem with sh-utils
- correct stupid error of changelog
* Tue Apr 30 2002 Antoine Ginies <aginies@mandrakesoft.com> 2.0-1mdk
- first release for Mandrakesoft :-)
